package cn.jlsxwkj.moudles.logerror;

import cn.jlsxwkj.common.R.ResponseError;
import cn.jlsxwkj.common.dao.Dao;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author zh
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LogError extends Dao {

    private String exception;
    private String message;
    private String errorInfo;
    private String errorStackTrace;

    public LogError castResponseErrorToLogError(ResponseError errorHandler) {
        this.setMessage(errorHandler.getMessage());
        this.setException(errorHandler.getException());
        return this;
    }
}
